Bug 238802 - Mouse wheel switches desktops in pager applet in KDE despite turning off option
Mouse wheel switches desktops in pager applet in KDE despite turning off option
Product: Fedora
Classification: Fedora
Component: kdebase (Show other bugs)
All Linux
medium Severity low
: ---
: ---
Assigned To: Lukáš Tinkl
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2007-05-02 19:35 EDT by Arthur Matteson
Modified: 2015-07-13 13:35 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-12-13 04:33:00 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Arthur Matteson 2007-05-02 19:35:56 EDT
Description of problem:
The mouse wheel over the Desktop Switcher changes desktops even when the check 
box for "Mouse wheel over desktops switches between them" is disabled.  I'm 
always doing it unintentionally, and there must be a fix.

Version-Release number of selected component (if applicable):
Linux version 2.6.20-1.2933.fc6 (brewbuilder@hs20-bc2-4.build.redhat.com) (gcc 
version 4.1.1 20070105 (Red Hat 4.1.1-51)) #1 SMP Mon Mar 19 11:38:26 EDT 2007

I use KDE 3.5; as far as I can remember, this bug was in Fedora Core 5 too.  I 
have a StarLogic 8D Scrolling Mouse with a ball instead of a wheel (but it 
still looks like a normal mouse).  I doubt the mouse version matters, though.

How reproducible:
Run KDE and add the "Desktop Preview and Pager" applet to the taskbar.  
Restarting doesn't seem to help, it's been this way for years.

Steps to Reproduce:
1. Disable the option for mouse wheel desktop switching by right-clicking on 
the desktop applet.
2. Try moving the mouse wheel over the desktop applet.

Actual results:
The desktops switch.

Expected results:
The desktops should not switch (the check box seems to do nothing).

Additional info:
(WW) <default pointer>: No Device specified, looking for one...
(II) <default pointer>: Setting Device option to "/dev/input/mice"
(--) <default pointer>: Device: "/dev/input/mice"
(==) <default pointer>: Protocol: "Auto"
(**) Option "CorePointer"
(**) <default pointer>: Core Pointer
(==) <default pointer>: Emulate3Buttons, Emulate3Timeout: 50
(**) <default pointer>: ZAxisMapping: buttons 4 and 5
(**) <default pointer>: Buttons: 9
(II) XINPUT: Adding extended input device "<default pointer>" (type: MOUSE)
(II) XINPUT: Adding extended input device "Keyboard0" (type: KEYBOARD)
(--) <default pointer>: PnP-detected protocol: "ExplorerPS/2"
(II) <default pointer>: ps2EnableDataReporting: succeeded
Comment 1 Niko Mirthes 2007-06-04 14:02:55 EDT
This not a bug it's a feature request. The setting you mention is intended to 
affect the desktop only, not the pager applet. I'd suggest filing an RFE 
(request for enhancement) upstream at http://bugs.kde.org/
Comment 2 Lukáš Tinkl 2007-12-13 04:33:00 EST
NOTABUG, please see comment #1

Note You need to log in before you can comment on or make changes to this bug.